diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index a90983c..adfeca0 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -487,6 +487,14 @@
   </para>
 
   <para>
+   When <filename>postgres_fdw</> encounters a join between foreign tables on
+   the same foreign server it attempts to execute the join on the foreign server
+   by sending equivalent join query to the foreign server. While sending the
+   <literal>JOIN</> clauses, it takes the same precautions as mentioned above
+   for the <literal>WHERE</> clauses.
+  </para>
+
+  <para>
    The query that is actually sent to the remote server for execution can
    be examined using <command>EXPLAIN VERBOSE</>.
   </para>
